Scan
Scans up to 100 coverage updates. The since query parameter is inclusive, and the result list is ordered by updatedAt ascending.
Polling Pattern: To continuously poll for updates without gaps:
- Make your initial request with a
sincetimestamp (e.g.,since=2020-01-01T13:00:00.000Z) - The API returns up to 100 coverage records, sorted by
updated_atascending - Find the
updated_atvalue from the last record in the response - Use that
updated_atvalue as thesinceparameter in your next request - Repeat steps 2-4 to ingest updates until you receive an empty list
Important Notes:
- The
sinceparameter is inclusive, so you may receive the last record from the previous batch again (you can deduplicate by ID and version) - All coverage records include
updated_at,id,version,deactivated, andupdating_userfields for tracking changes - Timestamps have millisecond resolution for precise ordering
Authentication
OAuth authentication of the form <token>.
Query parameters
Response
The relationship of beneficiary (patient) to the subscriber. https://hl7.org/fhir/valueset-relationship.html
The party who has signed-up for or ‘owns’ the contractual relationship to the policy or to whom the benefit of the policy for services rendered to them or their family is due.
ORCON (Originator Controlled) - When set to true, the Candid system will hide this coverage from downstream integrations. Updates made in the Candid UI will unset this flag. Defaults to false.
A map of UniversalServiceIdentifier (MD_Visit, Treatment, Tests, Activity) to copay values in cents. This is used to track copay values for each service type to handle OOP max resets correctly.